Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512935 - Review request: Package neutron-tempest-plugin
Summary: Review request: Package neutron-tempest-plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Chandan Kumar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS 1526046 1533544
TreeView+ depends on / blocked
 
Reported: 2017-11-14 13:25 UTC by Jakub Libosvar
Modified: 2018-01-11 18:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 10:23:48 UTC
chkumar: rdo-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 10522 None master: MERGED rdoinfo: Add Neutron tempest plugin project (Id35440fffedd4dca9cf3bde41e4def9c131476c0) 2018-01-23 14:19:09 UTC
RDO 10535 None master: MERGED config: Create project for neutron-tempest-plugin (I5d9833f226ad80c664f21c9f08eedf954ad6151a) 2018-01-23 14:19:03 UTC
RDO 10549 None rpm-master: MERGED openstack/neutron-tempest-plugin-distgit: Initial import of spec file of Neutron tempest plugin (I072cf0b6ca32dac47327dd... 2018-01-23 14:18:57 UTC
RDO 10745 None master: MERGED rdoinfo: neutron-tempest-plugin: Remove under-review tag (I5d473bfafa0f88c4ea91af37536ef164cde8cc68) 2018-01-23 14:18:51 UTC

Description Jakub Libosvar 2017-11-14 13:25:20 UTC
Description of problem:
We have a new repo https://github.com/openstack/neutron-tempest-plugin that we will depend on in Neutron soon. We should package the repo for RDO.

Comment 1 Jakub Libosvar 2017-11-15 17:37:51 UTC
Package Name: neutron-tempest-plugin
Summary: Tempest plugin for Neutron
Project Url: https://github.com/openstack/neutron-tempest-plugin

Comment 2 Alfredo Moralejo 2017-11-15 17:50:41 UTC
Licensecheck output:

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./.zuul.yaml: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./neutron_tempest_plugin/README.rst: *No copyright* UNKNOWN
./neutron_tempest_plugin/config.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/exceptions.py: Apache (v2.0)
./neutron_tempest_plugin/plugin.py: Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/installation.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./neutron_tempest_plugin/api/base.py: Apache (v2.0)
./neutron_tempest_plugin/api/base_routers.py: Apache (v2.0)
./neutron_tempest_plugin/api/base_security_groups.py: Apache (v2.0)
./neutron_tempest_plugin/api/clients.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_address_scopes.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_address_scopes_negative.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_allowed_address_pair.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_auto_allocated_topology.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_dhcp_ipv6.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_extension_driver_port_security.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_extensions.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/test_extra_dhcp_options.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_flavors_extensions.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_floating_ips.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_floating_ips_negative.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_metering_extensions.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_metering_negative.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_network_ip_availability.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_network_ip_availability_negative.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/test_networks.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_networks_negative.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/test_ports.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_qos.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_qos_negative.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/test_revisions.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/test_routers.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_routers_negative.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_security_groups.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_security_groups_negative.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_service_type_management.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/test_subnetpools.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_subnetpools_negative.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_subnets.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/test_tag.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/test_timestamp.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/test_trunk.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_trunk_details.py: Apache (v2.0)
./neutron_tempest_plugin/api/test_trunk_negative.py: Apache (v2.0)
./neutron_tempest_plugin/common/constants.py: Apache (v2.0)
./neutron_tempest_plugin/common/qos_consts.py: Apache (v2.0)
./neutron_tempest_plugin/common/ssh.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/common/tempest_fixtures.py: Apache (v2.0)
./neutron_tempest_plugin/common/utils.py: Apache (v2.0)
./neutron_tempest_plugin/scenario/base.py: Apache (v2.0)
./neutron_tempest_plugin/scenario/constants.py: Apache (v2.0)
./neutron_tempest_plugin/scenario/exceptions.py: Apache (v2.0)
./neutron_tempest_plugin/scenario/test_basic.py: Apache (v2.0)
./neutron_tempest_plugin/scenario/test_dvr.py: Apache (v2.0)
./neutron_tempest_plugin/scenario/test_floatingip.py: Apache (v2.0)
./neutron_tempest_plugin/scenario/test_migration.py: Apache (v2.0)
./neutron_tempest_plugin/scenario/test_portsecurity.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/scenario/test_qos.py: Apache (v2.0)
./neutron_tempest_plugin/scenario/test_trunk.py: *No copyright* Apache (v2.0)
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./neutron_tempest_plugin/api/admin/test_agent_management.py: Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_dhcp_agent_scheduler.py: Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_extension_driver_port_security_admin.py: Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_external_network_extension.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_floating_ips_admin_actions.py: Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_l3_agent_scheduler.py: Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_networks.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_quotas.py: Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_quotas_negative.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_routers_dvr.py: Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_routers_flavors.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_routers_ha.py: *No copyright* Apache (v2.0)
./neutron_tempest_plugin/api/admin/test_shared_network_extension.py: Apache (v2.0)
./neutron_tempest_plugin/services/network/json/network_client.py: *No copyright* Apache (v2.0)


License is valid Apache v2.0

Comment 4 Chandan Kumar 2017-11-30 07:05:18 UTC
The package looks sane. Below is the fedora-review review.
It requires some cosmetics description changes which can be done in a follow up patch.
Hence, Approving the package.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 29 files have unknown
     license. Detailed output of licensecheck in
     /home/chkumar246/arena/rdo_projects/package_review/python-neutron-
     tests-tempest/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -neutron-tests-tempest , python-neutron-tests-tempest-doc , python3
     -neutron-tests-tempest
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev510
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-neutron-tests-tempest-0.0.1-0.20171120162416.6a0a18a.fc28.noarch.rpm
          python-neutron-tests-tempest-doc-0.0.1-0.20171120162416.6a0a18a.fc28.noarch.rpm
          python3-neutron-tests-tempest-0.0.1-0.20171120162416.6a0a18a.fc28.noarch.rpm
          python-neutron-tests-tempest-0.0.1-0.20171120162416.6a0a18a.fc28.src.rpm
python2-neutron-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-neutron-tests-tempest.noarch: E: no-changelogname-tag
python-neutron-tests-tempest-doc.noarch: W: summary-not-capitalized C python-neutron-tests-tempest documentation
python-neutron-tests-tempest-doc.noarch: E: no-changelogname-tag
python-neutron-tests-tempest-doc.noarch: W: file-not-utf8 /usr/share/doc/python-neutron-tests-tempest-doc/html/objects.inv
python3-neutron-tests-tempest.noarch: W: summary-not-capitalized C python-neutron-tests-tempest documentation
python3-neutron-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python3-neutron-tests-tempest.noarch: E: no-changelogname-tag
python-neutron-tests-tempest.src: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python-neutron-tests-tempest.src: E: no-changelogname-tag
python-neutron-tests-tempest.src: W: invalid-url Source0: neutron_tempest_plugin-0.0.1.dev510-0.20171120162416.6a0a18a.tar.gz
4 packages and 0 specfiles checked; 7 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python2-neutron-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-neutron-tests-tempest.noarch: E: no-changelogname-tag
python2-neutron-tests-tempest.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/neutron-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python3-neutron-tests-tempest.noarch: W: summary-not-capitalized C python-neutron-tests-tempest documentation
python3-neutron-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python3-neutron-tests-tempest.noarch: E: no-changelogname-tag
python3-neutron-tests-tempest.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/neutron-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python-neutron-tests-tempest-doc.noarch: W: summary-not-capitalized C python-neutron-tests-tempest documentation
python-neutron-tests-tempest-doc.noarch: E: no-changelogname-tag
python-neutron-tests-tempest-doc.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/neutron-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
python-neutron-tests-tempest-doc.noarch: W: file-not-utf8 /usr/share/doc/python-neutron-tests-tempest-doc/html/objects.inv
3 packages and 0 specfiles checked; 5 errors, 6 warnings.



Requires
--------
python2-neutron-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-ddt
    python-eventlet
    python-netaddr
    python-neutron-lib
    python-oslo-config
    python-oslo-log
    python-oslo-serialization
    python-oslo-utils
    python-pbr
    python-six
    python-tempest
    python-testscenarios
    python-testtools

python3-neutron-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python3-ddt
    python3-eventlet
    python3-netaddr
    python3-neutron-lib
    python3-oslo-config
    python3-oslo-log
    python3-oslo-serialization
    python3-oslo-utils
    python3-pbr
    python3-six
    python3-tempest
    python3-testscenarios
    python3-testtools

python-neutron-tests-tempest-doc (rpmlib, GLIBC filtered):



Provides
--------
python2-neutron-tests-tempest:
    python-neutron-tests-tempest
    python2-neutron-tests-tempest
    python2.7dist(neutron-tempest-plugin)
    python2dist(neutron-tempest-plugin)

python3-neutron-tests-tempest:
    python3-neutron-tests-tempest
    python3.6dist(neutron-tempest-plugin)
    python3dist(neutron-tempest-plugin)

python-neutron-tests-tempest-doc:
    python-neutron-tests-tempest-doc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -r -b 1512935
Buildroot used: dlrn-fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Note You need to log in before you can comment on or make changes to this bug.